org.apache.jmeter.visualizers

## Interface RequestView

- All Known Implementing Classes:
    RequestViewHTTP, RequestViewRaw

      public interface RequestView

  Interface for request panel in View Results Tree All classes which implements this interface is display on bottom tab in request panel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()` Clear all data in panel
    `java.lang.String` | `getLabel()` Get the label.
    `javax.swing.JPanel` | `getPanel()` Get the panel
    `void` | `init()` Init the panel
    `void` | `setSamplerResult(java.lang.Object userObject)` Put the result bean to display in panel

- - ### Method Detail

    - #### init

          void init()

      Init the panel

    - #### clearData

          void clearData()

      Clear all data in panel

    - #### setSamplerResult

          void setSamplerResult(java.lang.Object userObject)

      Put the result bean to display in panel
      Parameters:
        `userObject` - result to display

    - #### getPanel

          javax.swing.JPanel getPanel()

      Get the panel
      Returns:
        the panel viewer

    - #### getLabel

          java.lang.String getLabel()

      Get the label. Use as name for bottom tab
      Returns:
        the label's panel

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.